{
    "json.schemaDownload.enable": true,
    "editor.formatOnSave": true,
    "editor.codeLens": true,
    "editor.rulers": [
        120
    ],
    "python.defaultInterpreterPath": "${workspaceFolder}/src/BibleBot.Frontend/venv/bin/python",
    "python.analysis.typeCheckingMode": "basic",
    "[python]": {
        "editor.defaultFormatter": "ms-python.black-formatter"
    },
    "editor.suggest.insertMode": "insert",
    "dotnet.codeLens.enableReferencesCodeLens": false,
    "dotnet.unitTests.runSettingsPath": "test/BibleBot.Tests.Backend/.env",
    "dotnet.formatting.organizeImportsOnFormat": true,
    "[markdown]": {
        "editor.unicodeHighlight.ambiguousCharacters": false,
        "editor.unicodeHighlight.invisibleCharacters": false,
        "diffEditor.ignoreTrimWhitespace": false,
        "editor.wordWrap": "on",
        "editor.quickSuggestions": {
            "comments": "off",
            "strings": "off",
            "other": "off"
        },
        "editor.formatOnSave": false
    }
}